/*-
 * %%----------------------------------------------------------------------------------------------
 * Solidify Framework - Solidify Authorization Model - AuthLoginInfo.java
 * SPDX-License-Identifier: GPL-2.0-or-later
 * %----------------------------------------------------------------------------------------------%
 * Copyright (C) 2017 - 2022 University of Geneva
 * %----------------------------------------------------------------------------------------------%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 2 of the
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/gpl-2.0.html>.
 * ----------------------------------------------------------------------------------------------%%
 */

package ch.unige.solidify.auth.model;

import java.time.OffsetDateTime;

public class AuthLoginInfo implements LoginInfo {

  private OffsetDateTime loginTime;
  private String loginIpAddress;

  public AuthLoginInfo() {
  }

  public AuthLoginInfo(LoginInfo loginInfo) {
    this.loginTime = loginInfo.getLoginTime();
    this.loginIpAddress = loginInfo.getLoginIpAddress();
  }

  @Override
  public OffsetDateTime getLoginTime() {
    return this.loginTime;
  }

  public void setLoginTime(OffsetDateTime loginTime) {
    this.loginTime = loginTime;
  }

  @Override
  public String getLoginIpAddress() {
    return this.loginIpAddress;
  }

  public void setLoginIpAddress(String loginIpAddress) {
    this.loginIpAddress = loginIpAddress;
  }

}
